fop 1.1

## org.apache.fop.render.ps
Class ImageEncoderCCITTFax

    java.lang.Object
      org.apache.fop.render.ps.ImageEncoderCCITTFax

All Implemented Interfaces:
  org.apache.xmlgraphics.ps.ImageEncoder

    public class ImageEncoderCCITTFax

extends java.lang.Object
implements org.apache.xmlgraphics.ps.ImageEncoder

ImageEncoder implementation for CCITT encoded images.

Constructor Summary
`ImageEncoderCCITTFax(org.apache.xmlgraphics.image.loader.impl.ImageRawCCITTFax ccitt)` Main constructor.

Method Summary
`java.lang.String` `getImplicitFilter()`
`void` `writeTo(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageEncoderCCITTFax

    public ImageEncoderCCITTFax(org.apache.xmlgraphics.image.loader.impl.ImageRawCCITTFax ccitt)

  Main constructor.

  Parameters:
    `ccitt` - the CCITT encoded image

Method Detail

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Specified by:
    `writeTo` in interface `org.apache.xmlgraphics.ps.ImageEncoder`
  Throws:
    `java.io.IOException`

### getImplicitFilter

    public java.lang.String getImplicitFilter()

  Specified by:
    `getImplicitFilter` in interface `org.apache.xmlgraphics.ps.ImageEncoder`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.